<?php
/**
 * Plugin Name: OxaPay
 * Plugin URI: https://app.oxapay.com/
 * Description: OxaPay provides a robust and secure platform for processing cryptocurrency payments, allowing businesses and developers to easily integrate crypto payments into their applications and websites.
 * Version: 1.0.0
 * Author: OxaPay.com
 * Author URI: https://app.oxapay.com/
 * Developer: OxaPay
 * Developer https://app.oxapay.com/
 *
 * @package WooCommerce\Admin
 */


defined('ABSPATH') || exit;

require_once __DIR__ . '/vendor/autoload.php';


 if (!in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
	return;
}

add_filter('woocommerce_payment_gateways', function ($plugins) {
	return array_merge([\Oxapay\Woocommerce\oxapayGateway::class], $plugins);
});

add_filter('plugin_action_links_' . plugin_basename(__FILE__), function ($links) {
	$url = admin_url('admin.php?page=wc-settings&tab=checkout&section=OxaPay');
	return array_merge(['<a href="' . $url . '">' . __('Configure') . '</a>'], $links);
});

add_action('plugins_loaded', function () {
	return new \Oxapay\Woocommerce\oxapayGateway();
});

